Subject: Re: building cross compiler from cygwin windows to linux: crti.o no such file or directory
From: [email-masked]
To: "mohanlal jangir" <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 25 Nov 2003 18:02:20 +0800

You try to  create a empty crt0.c file.

cross-gcc crt0.c -c -o /usr/local/gnu/obj/gcc-3.3.1-3/gcc/crt0.o

Regards              /)/)
                    (-.-)
Qinfeng Zhang

Optical Storage & Digital TV
Philips Research East Asia - Shanghai
38F Tower 1 office building
218 Tian Mu Xi Rd.
Shanghai, P.R.China 200070

Tel: (86-21) 6354 1088 Ext. 5356
Fax: (86-21) 6354 4954
Email: [email-masked]

                                                                                                                                                                 
                                                                                                                                                                 
                                                   To:   <[email-masked]>                                                                                     
                                                   cc:   <[email-masked]>                                                                                       
                                                    (bcc: Qinfeng Zhang/SHA/RESEARCH/PHILIPS)                                                                    
                                                   Subject:    building cross compiler from cygwin windows to linux: crti.o no such file or directory            
               "mohanlal jangir"                                                                                                                                 
               <mohanlaljangir@hotmail.            Classification:                                                                                               
               com>                                                                                                                                              
                                                                                                                                                                 
               Sent by:                                                                                                                                          
               [email-masked]                                                                                                                             
                                                                                                                                                                 
               2003-11-25 15:02                                                                                                                                  

[Excuse me for sending this mail to both mailing list. I am not very sure,
which mailing list this mail is more suitable]

I am trying to build cross compiler from cygwin window to linux. I did
configured and build binutils as follows:
<source
dir>/binutils-2.14/configure --host=i686-pc-cygwin --target=i686-pc-linux-gn
u --prefix=<tool dir>/host/i686-pc-cygwin  && make

This worked well. Later I tried to compile gcc as follows:
 <source
dir>/gcc-3.3.1-3/configure --host=i686-pc-cygwin --target=i686-pc-linux-gnu
 --prefix=<tool dir>/host/i686-pc-cygwin --with-newlib --disable-threads

This ended up in following error message:
/usr/local/gnu/tools/host/i686-pc-cygwin/i686-pc-linux-gnu/bin/ld: cannot
open crti.o: No such file or directory
collect2: ld returned 1 exit status
make[2]: *** [libgcc_s.so] Error 1
make[2]: Leaving directory `/usr/local/gnu/obj/gcc-3.3.1-3/gcc'
make[1]: *** [libgcc.a] Error 2
make[1]: Leaving directory `/usr/local/gnu/obj/gcc-3.3.1-3/gcc'
make: *** [all-gcc] Error 2

When I executed "find ./ -name crt?.*" at command prompt, I got following
output:
./src/gcc-3.3.1-3/gcc/config/arm/crti.asm
./src/gcc-3.3.1-3/gcc/config/arm/crtn.asm
./src/gcc-3.3.1-3/gcc/config/fr30/crti.asm
./src/gcc-3.3.1-3/gcc/config/fr30/crtn.asm
./src/gcc-3.3.1-3/gcc/config/h8300/crti.asm
./src/gcc-3.3.1-3/gcc/config/h8300/crtn.asm
./src/gcc-3.3.1-3/gcc/config/ia64/crti.asm
./src/gcc-3.3.1-3/gcc/config/ia64/crtn.asm
./src/gcc-3.3.1-3/gcc/config/ip2k/crt0.S
./src/gcc-3.3.1-3/gcc/config/m68k/crti.s
./src/gcc-3.3.1-3/gcc/config/m68k/crtn.s
./src/gcc-3.3.1-3/gcc/config/mcore/crti.asm
./src/gcc-3.3.1-3/gcc/config/mcore/crtn.asm
./src/gcc-3.3.1-3/gcc/config/mips/crti.asm
./src/gcc-3.3.1-3/gcc/config/mips/crtn.asm
./src/gcc-3.3.1-3/gcc/config/mmix/crti.asm
./src/gcc-3.3.1-3/gcc/config/mmix/crtn.asm
./src/gcc-3.3.1-3/gcc/config/sh/crt1.asm
./src/gcc-3.3.1-3/gcc/config/sh/crti.asm
./src/gcc-3.3.1-3/gcc/config/sh/crtn.asm

Out of these files none belongs to i386 architecture. I am not sure if
corrosponding file is missing from gcc source code or I am making some
mistake in configuration.

Regards
Mohanlal

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/